/* Banner Styling */
.home-banner {
    background-size: cover;
    background-position: center top;
    height: 100vh;
    margin-bottom: 0px;

    @include borderRadius(0px);

    &.jumbotron {
        @media #{$query576} {
            padding: 4rem 1rem;
        }
    }
    .banner_content {
        .title {
            max-width: 490px;
        }
        h1 {
            font:{
                size: 3.2rem;
            }
            @extend %metabold;
            color: $white;
            @media #{$query991} {
                font-size: 2.2rem;
            }
            @media #{$query767} {
                font-size: 1.8rem;
                margin-bottom: 0px;
            }
        }
        p.lead {
            color: $white;
            font-size: 1.15rem;
            @media #{$query767} {
                font-size: 1rem;
            }
        }
        .btns {
            a {
                font: {
                    size: 1rem;
                }
                @media #{$query576} {
                    font-size: 0.9rem;
                }
                @extend %metabold;
                @media #{$query576} {
                    display: block;
                    margin-bottom: 5px;
                }
            }
            .btn_white {
                padding: 10px 15px;
                background-color: $white;
                color: $black;
                .icon-right {
                    margin-left: 50px; 
                    @media #{$query576} {
                        margin-left: 20px; 
                    }
                }
                @media #{$query576} {
                    width: 115px;
                }
            }
            .btn_transparent {
                padding: 10px 30px;
                border: 3px solid $white;
                text-decoration: none;
                color: $white;
                &:hover {
                    background-color: $white;
                    color: $black;
                }
                @media #{$query576} {
                    padding: 10px 10px;
                    width: 170px;
                    text-align: center;
                }
            }
            @media #{$query576} {
                display: block !important;
            }
        }
    }
}
.about_home_section {
    padding: 60px 0px;
    @media #{$query767} {
        padding: 40px 0px;
    }
    .inner_wrap {
        max-width: 90%;
        margin: 0 auto;
        @media #{$query991} {
            max-width: 100%;
        }
    }
    .user_img {
        width: 100px;
        height: 100px;
        margin-right: 60px;
        @include borderRadius(50%);
        background: {
            size: cover;
            position: center center;
        }
        @media #{$query991} {
            margin-right: 60px;
            margin-bottom: 15px;
            width: 80px;
            height: 80px;
        }
        @media #{$query767} {
            width: 70px;
            height: 70px;
        }
    }
    .text_content {
        @include column-count(2);
        @include column-gap(40px);
        text-align: justify;
        color: #000000;
        font-weight: 300;
        font-size: 15px;
        line-height: 23px;
        @media #{$query767} {
            @include column-count(1);
            @include column-gap(0px);
        }
    }
}
.counter_section {
    text-align: center;
    background: {
        size: cover;
        position: center center;
    }
    .overlay {
        background-color: rgba(0,0,0,0.2);
        padding: 100px 0px;
        @media #{$query767} {
            padding: 60px 0px;
        }
    }
    h2 {
        @extend %metabold;
        color: $white;
        margin-bottom: 15px;
        @media #{$query767} {
            font-size: 25px;
        }
    }
    .text_content {
        max-width: 430px;
        margin: 0 auto;
        font: {
            weight: 300;
            size: 1rem;
        }
        color: $white;
    }
    .counter_wrap {
        list-style: none;
        padding: 0px;
        margin: 50px 0px 0px 0px;
        li {
            padding: 0 25px;
            margin-bottom: 10px;
            @media #{$query991} {
                padding: 0 5px;
            }
        }
    }
    .counter_box {
        padding: 30px 20px;
        border: 3px solid #eeeeee;
        width: 190px;
        @media #{$query767} {
            width: 165px;
        }
        .number {
            font-weight: 600;
            color: #fff;
            font-size: 50px;
            line-height: 50px;
            @media #{$query767} {
                font-size: 45px;
                line-height: 45px;
            }
        }
        p {
            color: #fff;
            margin-bottom: 0px;
            font-weight: 300;
        }
    }
}
.image_content_section {
    padding: 50px 0px 0px 0px;
    .text_content {
        padding: 20px 50px;
        font-size: 16px;
        font-weight: 300;
        color: #000000;
        @media #{$query991} {
            padding: 0px 0px;
        }
    }
    .image {
        margin-bottom: 15px;
    }
}
.featured_listings_section {
    margin-top: 50px;
    background: {
        size: cover;
        position: center center;
    }
    > .overlay {
        background-color: rgba(0,0,0,0.3);
        padding: 70px 0px;
        @media #{$query767} {
            padding: 50px 0px;
        }
    }
    .favourite_product {
        margin: 0 5px 15px;
        .overlay_content {
            background-color: rgba(0,0,0,0.35);            
        }
        @media #{$query767} {
            max-width: 300px;
        }
    }
    .featured_box {
        @media #{$query991} {
            margin:30px 0 0 5px;
        }
        h2, p {
            color: $white;
        }
        h2 {
            @extend %metabold;
        }
        p {
            font-weight: 300;
            font-size: 16px;
        }
        .btn {
            .arrow {
                margin-left: 30px;
            }
        }
    }
}

.neighbour_section {
    padding: 60px 0px;
}
.slider_content_wrap  {
    @media #{$query767} {
        position: relative;
        height: 160px;
    }
    .custom_slider {
        position: absolute;
        left: 0px;
        top: 0px;
        height: 100%;
        width: 100%;
        @include flex();
        @include align-items(center);
    }
}
.custom_slider {
    position: relative;
    padding-right: 55px;
    @media #{$query767} {
        padding-right: 45px;
    }
    @media #{$query479} {
        padding-right: 0px;
    }
    .content {
        opacity: 0;
        visibility: hidden;
        position: absolute;
        left: 0px;
        @include transition(all 0.55s cubic-bezier(0, 0, 0.27, 0.98) 0.22s);

        &.active {
            opacity: 1;
            visibility: visible;
        }
        h3 {
            max-width: 270px;
            @media #{$query767} {
                font-size: 22px;
            }
            @media #{$query479} {
                font-size: 18px;
            }
        }
        p {
            font-weight: 300;
            font-size: 16px;
        }
        .btn {
            margin-top: 15px;
            @media #{$query767} {
                margin-top: 0px;
            } 
            .arrow {
                margin-left: 30px;
            }
        }
    }
    .space_image {
        .image {
            width:0px;
            right: 0px;
            @include transition(width 0.7s cubic-bezier(0, 0, 0.27, 0.98) 0s);
            &.active {
                width:100%;
            }
        }
    }
    .slider_navigation {
        padding: 0px;
        margin: 0px;
        list-style: none;

        position: absolute;
        right: 0px;
        bottom: 0px;
        z-index: 4;
        li {
            margin-bottom: 8px;
            cursor: pointer;
            @media #{$query767} {
                margin-bottom: 0px;
            }
            @include flex();
            @include justify-content(flex-end);
            .number, .text {
                background-color: #fafafa;
                font: {
                    family: 'meta';
                    weight: 700;
                }
                height: 55px;
                @include flex();
                @include align-items(center);
                @include justify-content(center);
                @media #{$query767} {
                    height: 45px;
                }
                @media #{$query479} {
                    height: 40px;
                }
            }

            &:last-child {
                margin-bottom: 0px;
            }

            &.active {
                .number, .text {
                    background-color: $black;
                    color: $white;
                    @extend %transition;
                } 
                .text {
                    padding: 0 25px;
                    width: auto;
                }
            }
            .number {
                width: 55px;
                font-size: 21px;
                @media #{$query767} {
                    width: 45px;
                }
                @media #{$query479} {
                    width: 40px;
                }
            }
            .text {
                width: 0px;
                overflow: hidden;
                font-size: 16px;
                @media #{$query479} {
                    display: none;
                }
            }
        }
    }
}